Bug 4559 - hyphenation problems with latex(tetex-0.9-17)
hyphenation problems with latex(tetex-0.9-17)
Status: CLOSED NEXTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: tetex (Show other bugs)
6.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-08-16 20:34 EDT by mbw8
Modified: 2008-05-01 11:37 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-08-17 09:36:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description mbw8 1999-08-16 20:34:58 EDT
Running w/ RH6.0+updates
Latex hyphenation is broken badly; sometimes it will
hyphenate at the very last letter of a word (bad) or at the
very first letter (bad). This shouldn't happen... right?

Here is some offending test code that hyphenates at S-napple
when I run it:

\documentclass{article}
\begin{document}

\section{Foo}
Foo bar fubar singlonk wingnut froobles asinine seventeen
futzing laughter Snapple Ameritech Every handlebar lorum
ipsum motorcycle feedback sharks with laser beams.
\end{document}


I did a search on dejanews and this kind of problem arises
when \lefthyphenmin and \righthyphenmin are not set
properly. It looks like you guys grabbed a broken snapshot
of tetex from CTAN:

http://x29.deja.com/getdoc.xp?AN=511934746&CONTEXT=934848582.1176371299&hitnum=1

A workaround is to just add these lines,

  \lefthyphenmin=2
  \righthyphenmin=3

But that's a kludge.
Comment 1 Jeff Johnson 1999-08-17 09:36:59 EDT
Upgrade to tetes-1.0.6-2 from Raw Hide.

Note You need to log in before you can comment on or make changes to this bug.